org.apache.lucene.queryparser.xml

## Interface QueryBuilder

All Known Subinterfaces:
  SpanQueryBuilder

All Known Implementing Classes:
  BooleanQueryBuilder, BoostingQueryBuilder, BoostingTermBuilder, ConstantScoreQueryBuilder, CoreParser, CorePlusExtensionsParser, DisjunctionMaxQueryBuilder, FilteredQueryBuilder, FuzzyLikeThisQueryBuilder, LikeThisQueryBuilder, MatchAllDocsQueryBuilder, NumericRangeQueryBuilder, QueryBuilderFactory, SpanBuilderBase, SpanFirstBuilder, SpanNearBuilder, SpanNotBuilder, SpanOrBuilder, SpanOrTermsBuilder, SpanQueryBuilderFactory, SpanTermBuilder, TermQueryBuilder, TermsQueryBuilder, UserInputQueryBuilder

    public interface QueryBuilder

Implemented by objects that produce Lucene Query objects from XML streams. Implementations are expected to be thread-safe so that they can be used to simultaneously parse multiple XML documents.

### Method Summary

Methods
`Query` `getQuery(Element e)`

### Method Detail

#### getQuery

    Query getQuery(Element e)
                   throws ParserException

Throws:
  `ParserException`